Update a resource share (admin only)
curl --request PATCH \
--url http://0.0.0.0:3000/v1/organizations/{id}/shares/{shareId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"can_view": true,
"can_control": true,
"can_edit": false
}
'import requests
url = "http://0.0.0.0:3000/v1/organizations/{id}/shares/{shareId}"
payload = {
"can_view": True,
"can_control": True,
"can_edit": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({can_view: true, can_control: true, can_edit: false})
};
fetch('http://0.0.0.0:3000/v1/organizations/{id}/shares/{shareId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"can_view": true,
"can_control": true,
"can_edit": false
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"message": "not found"
}{
"error": "internal_error"
}Organizations
Update a resource share (admin only)
PATCH
/
v1
/
organizations
/
{id}
/
shares
/
{shareId}
Update a resource share (admin only)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID da organização
ID numérico do compartilhamento
Response
Share updated
⌘I